Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.xml
Interface AssigneeType

All Superinterfaces:
  XmlObject, XmlTokenSource

    public interface AssigneeType

extends XmlObject

An XML assigneeType(@http://www.bea.com/wli/worklist/xml). This is a complex type.

Nested Class Summary
`static class` | `AssigneeType.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`void` | `addGroup(String group)` Appends the value as the last "group" element
`XmlString` | `addNewGroup()` Appends and returns a new empty value (as xml) as the last "group" element
`XmlString` | `addNewUser()` Appends and returns a new empty value (as xml) as the last "user" element
`void` | `addUser(String user)` Appends the value as the last "user" element
`AlgorithmType.Enum` | `getAlgorithm()` Gets the "algorithm" element
`String[]` | `getGroupArray()` Gets array of all "group" elements
`String` | `getGroupArray(int i)` Gets ith "group" element
`String[]` | `getUserArray()` Gets array of all "user" elements
`String` | `getUserArray(int i)` Gets ith "user" element
`void` | `insertGroup(int i, String group)` Inserts the value as the ith "group" element
`XmlString` | `insertNewGroup(int i)` Inserts and returns a new empty value (as xml) as the ith "group" element
`XmlString` | `insertNewUser(int i)` Inserts and returns a new empty value (as xml) as the ith "user" element
`void` | `insertUser(int i, String user)` Inserts the value as the ith "user" element
`boolean` | `isSetAlgorithm()` True if has "algorithm" element
`void` | `removeGroup(int i)` Removes the ith "group" element
`void` | `removeUser(int i)` Removes the ith "user" element
`void` | `setAlgorithm(AlgorithmType.Enum algorithm)` Sets the "algorithm" element
`void` | `setGroupArray(int i, String group)` Sets ith "group" element
`void` | `setGroupArray(String[] groupArray)` Sets array of all "group" element
`void` | `setUserArray(int i, String user)` Sets ith "user" element
`void` | `setUserArray(String[] userArray)` Sets array of all "user" element
`int` | `sizeOfGroupArray()` Returns number of "group" element
`int` | `sizeOfUserArray()` Returns number of "user" element
`void` | `unsetAlgorithm()` Unsets the "algorithm" element
`AlgorithmType` | `xgetAlgorithm()` Gets (as xml) the "algorithm" element
`XmlString[]` | `xgetGroupArray()` Gets (as xml) array of all "group" elements
`XmlString` | `xgetGroupArray(int i)` Gets (as xml) ith "group" element
`XmlString[]` | `xgetUserArray()` Gets (as xml) array of all "user" elements
`XmlString` | `xgetUserArray(int i)` Gets (as xml) ith "user" element
`void` | `xsetAlgorithm(AlgorithmType algorithm)` Sets (as xml) the "algorithm" element
`void` | `xsetGroupArray(int i, XmlString group)` Sets (as xml) ith "group" element
`void` | `xsetGroupArray(XmlString[] groupArray)` Sets (as xml) array of all "group" element
`void` | `xsetUserArray(int i, XmlString user)` Sets (as xml) ith "user" element
`void` | `xsetUserArray(XmlString[] userArray)` Sets (as xml) array of all "user" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

Method Detail

### getUserArray

    String[] getUserArray()

  Gets array of all "user" elements

### getUserArray

    String getUserArray(int i)

  Gets ith "user" element

### xgetUserArray

    XmlString[] xgetUserArray()

  Gets (as xml) array of all "user" elements

### xgetUserArray

    XmlString xgetUserArray(int i)

  Gets (as xml) ith "user" element

### sizeOfUserArray

    int sizeOfUserArray()

  Returns number of "user" element

### setUserArray

    void setUserArray(String[] userArray)

  Sets array of all "user" element

### setUserArray

    void setUserArray(int i,
                      String user)

  Sets ith "user" element

### xsetUserArray

    void xsetUserArray(XmlString[] userArray)

  Sets (as xml) array of all "user" element

### xsetUserArray

    void xsetUserArray(int i,
                       XmlString user)

  Sets (as xml) ith "user" element

### insertUser

    void insertUser(int i,
                    String user)

  Inserts the value as the ith "user" element

### addUser

    void addUser(String user)

  Appends the value as the last "user" element

### insertNewUser

    XmlString insertNewUser(int i)

  Inserts and returns a new empty value (as xml) as the ith "user" element

### addNewUser

    XmlString addNewUser()

  Appends and returns a new empty value (as xml) as the last "user" element

### removeUser

    void removeUser(int i)

  Removes the ith "user" element

### getGroupArray

    String[] getGroupArray()

  Gets array of all "group" elements

### getGroupArray

    String getGroupArray(int i)

  Gets ith "group" element

### xgetGroupArray

    XmlString[] xgetGroupArray()

  Gets (as xml) array of all "group" elements

### xgetGroupArray

    XmlString xgetGroupArray(int i)

  Gets (as xml) ith "group" element

### sizeOfGroupArray

    int sizeOfGroupArray()

  Returns number of "group" element

### setGroupArray

    void setGroupArray(String[] groupArray)

  Sets array of all "group" element

### setGroupArray

    void setGroupArray(int i,
                       String group)

  Sets ith "group" element

### xsetGroupArray

    void xsetGroupArray(XmlString[] groupArray)

  Sets (as xml) array of all "group" element

### xsetGroupArray

    void xsetGroupArray(int i,
                        XmlString group)

  Sets (as xml) ith "group" element

### insertGroup

    void insertGroup(int i,
                     String group)

  Inserts the value as the ith "group" element

### addGroup

    void addGroup(String group)

  Appends the value as the last "group" element

### insertNewGroup

    XmlString insertNewGroup(int i)

  Inserts and returns a new empty value (as xml) as the ith "group" element

### addNewGroup

    XmlString addNewGroup()

  Appends and returns a new empty value (as xml) as the last "group" element

### removeGroup

    void removeGroup(int i)

  Removes the ith "group" element

### getAlgorithm

    AlgorithmType.Enum getAlgorithm()

  Gets the "algorithm" element

### xgetAlgorithm

    AlgorithmType xgetAlgorithm()

  Gets (as xml) the "algorithm" element

### isSetAlgorithm

    boolean isSetAlgorithm()

  True if has "algorithm" element

### setAlgorithm

    void setAlgorithm(AlgorithmType.Enum algorithm)

  Sets the "algorithm" element

### xsetAlgorithm

    void xsetAlgorithm(AlgorithmType algorithm)

  Sets (as xml) the "algorithm" element

### unsetAlgorithm

    void unsetAlgorithm()

  Unsets the "algorithm" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD